# $Revision: 1.31 $, $Date: 2008-05-18 21:15:54 $
#
# Conditional build:
%bcond_without	tests	# don't run tests
#
Summary:	Mercurial Distributed SCM
Summary(pl.UTF-8):	Mercurial - rozproszony SCM
Name:		mercurial
Version:	1.0
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz
# Source0-md5:	9f8dd7fa6f8886f77be9b923f008504c
Source1:	gtools.py
Patch0:		%{name}-gtools.patch
URL:		http://www.selenic.com/mercurial/
BuildRequires:	asciidoc
BuildRequires:	python >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	xmlto
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed projects.
Features include:
- O(1) delta-compressed file storage and retrieval scheme
- Complete cross-indexing of file and changesets for efficient
  exploration of project history
- Robust SHA1-based integrity checking and append-only storage model
- Decentralized development model with arbitrary merging between trees
- High-speed HTTP-based network merge protocol
- Easy-to-use command-line interface
- Integrated stand-alone web interface
- Small Python codebase
- GPL license

%description -l pl.UTF-8
Mercurial to szybki, lekki system zarządzania kodem źródłowym
zaprojektowany do wydajnej obsługi bardzo dużych rozproszonych
projektów. Możliwości obejmują:
- przechowywanie skompresowanych plików różnic i schemat odtwarzania
  O(1)
- pełne indeksowanie plików i zmian w celu szybkiego przeglądania
  historii projektu
- silne, oparte na SHA1 sprawdzanie integralności oraz model
  przechowywania z samym dołączaniem
- zdecentralizowany model rozwoju z dowolnym łączeniem między drzewami
- szybki protokół łączenia po sieci oparty na HTTP
- łatwy w użyciu interfejs linii poleceń
- zintegrowany samodzielny interfejs WWW
- mały kod podstawowy w Pythonie
- licencja GPL

%package hgk
Summary:	GUI for mercurial
Summary(pl.UTF-8):	Graficzny interfejs użytkownika dla systemu Mercurial
Group:		Development/Version Control
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-modules

%description hgk
A tool called that allows browsing the history of a repository in a
GUI.

To enable it add to .hgrc file:
[extensions]
hgk=

%description hgk -l pl.UTF-8
Narzędzie pozwalające na przeglądanie historii repozytorium w
graficznym interfejsie użytkownika.

Aby je uaktywnić, należy dodać do pliku .hgrc:
[extensions]
hgk=

%prep
%setup -q
#%patch0 -p1
install %{SOURCE1} hgext/gtools.py

%build
%{__python} setup.py build
%{__make} -C doc

rm tests/test-hgweb

%{?with_tests:cd tests && %{__python} run-tests.py --verbose}

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install contrib/hgk $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5}
install doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/*.5 $RPM_BUILD_ROOT%{_mandir}/man5

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS README
%attr(755,root,root) %{_bindir}/hg
%{py_sitedir}/hgext
%dir %{py_sitedir}/%{name}
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%{py_sitedir}/%{name}/*.py[co]
%{py_sitedir}/%{name}/hgweb
%{py_sitedir}/%{name}/templates
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files hgk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hgk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mercurial.spec,v $
Revision 1.31  2008-05-18 21:15:54  glen
- build with 2.4 kernel

Revision 1.30  2008-04-15 16:49:38  qboosh
- formatting

Revision 1.29  2008-04-15 09:16:10  czarny
- gtools for mercurial

Revision 1.28  2008-03-30 21:03:35  arekm
- up to 1.0

Revision 1.27  2007/11/01 13:29:07  qboosh
- updated python BRs

Revision 1.26  2007/11/01 10:47:40  arekm
- up to 0.9.5

Revision 1.25  2007/07/01 12:26:06  qboosh
- bcond header
- sorted BRs

Revision 1.24  2007/07/01 09:05:42  arekm
- run tests

Revision 1.23  2007/07/01 09:01:04  arekm
- up to 0.9.4

Revision 1.22  2007/04/01 00:46:06  arekm
- up to 0.9.3

Revision 1.21  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.19  2006/12/19 22:42:52  qboosh
- reverted thinko

Revision 1.18  2006/12/17 19:05:17  ankry
- tabs

Revision 1.17  2006/12/17 09:47:11  rotom
- added BR, thx zenon

Revision 1.16  2006/12/16 23:58:42  rotom
- pldized, thx to zenon

Revision 1.15  2006/12/16 23:49:59  rotom
- up to 0.9.2
- BR added

Revision 1.14  2006/10/06 19:19:31  qboosh
- more files (pointed by arkh)

Revision 1.13  2006/10/06 16:08:54  qboosh
- added manuals (pointed by arkh)

Revision 1.12  2006/09/30 23:02:39  arekm
- rel 2

Revision 1.11  2006/09/12 05:56:59  glen
- clean unpackaged files

Revision 1.10  2006/09/11 22:42:55  aredridel
- 0.9.1

Revision 1.9  2006/04/08 08:36:07  arekm
- up to 0.8.1

Revision 1.8  2006/01/31 12:43:41  qboosh
- pl for -hgk

Revision 1.7  2006/01/30 23:21:15  arekm
- rel 2

Revision 1.6  2006/01/30 23:19:25  arekm
- put hgk in default search path

Revision 1.5  2006/01/30 23:10:11  arekm
- add GUI subpackage

Revision 1.4  2006/01/30 22:43:42  arekm
- updated to 0.8

Revision 1.3  2005/12/04 19:33:42  arekm
- up to 0.7

Revision 1.2  2005/08/02 22:18:11  qboosh
- pl

Revision 1.1  2005/07/31 18:17:47  arekm
- initial pld release (new SCM)
